<div class="center">
  <form [formGroup]="banknotesListForm" (ngSubmit)="onSave()">
    <div formArrayName="banknotesList">
      <div
        *ngFor="let banknoteControl of banknotesListFormArray.controls; let i = index"
        [formGroupName]="i"
        style="margin-top: 10px;">
        <div>
          <mat-form-field appearance="legacy">
            <mat-label>Enter count</mat-label>
            <input type="number" matInput formControlName="count">
            <mat-error *ngIf="getBanknoteCountControlByGroupIndex(i).hasError('required')">Please enter count</mat-error>
            <mat-error *ngIf="getBanknoteCountControlByGroupIndex(i).hasError('pattern')">Count must be positive</mat-error>
          </mat-form-field>
        </div>
        <div>
          <mat-form-field appearance="legacy">
            <mat-label>Banknote</mat-label>
            <mat-select formControlName="type">
              <mat-option>--</mat-option>
              <mat-option *ngFor="let banknoteType of banknoteCurrency" [value]="banknoteType.name">
                {{ banknoteType.name }}
              </mat-option>
            </mat-select>
            <mat-error *ngIf="getBanknoteTypeControlByGroupIndex(i).hasError('required')">Please choose a banknote</mat-error>
          </mat-form-field>
        </div>
        <div>
          <button
            type="button"
            mat-raised-button
            (click)="onRemoveNewBanknoteFromList(i)">Remove</button>
        </div>
      </div>
      <div>
        <hr class="hr">
        <div *ngIf="banknotesListFormArray.length < banknoteCurrency.length">
          <button
            type="button"
            mat-raised-button
            (click)="onAddBanknoteToList()">Add Banknote</button>
        </div>
      </div>
    </div>
    <div>
      <button
        type="submit"
        mat-raised-button
        [disabled]="!banknotesListForm.valid">Save</button>
    </div>
  </form>
</div>

